0

I am new to Python scripting. Can anyone tell me if there is any way to import gdal into Python environment (ArcGIS Desktop 10). I am getting error while importing. Please check attached picture.enter image description here

  • It seems to me that pyGDAL is not a part of standard ArcGIS install. Do you install gdal and it python bindings into the arcgis python? – Dmitry Baryshnikov Jan 12 '18 at 8:58
  • You need to do this: gis.stackexchange.com/questions/44958/… – xunilk Jan 12 '18 at 9:49
  • Yes I have installed GDAL from (gisinternals.com/…) and also added the gdal path to variable settings in my system. My python version is 2.6, may be this version supporting gdal or not I don't know. – Preethi R Jan 12 '18 at 9:53
0

Add the GDAL_DATA environment variable pointing to (C:\Program Files (x86)\GDAL\gdal-data) and GDAL_DRIVER_PATH pointing to (C:\Program Files (x86)\GDAL\gdalplugins)

  • I have added path to the Environment variable. Still not working. – Preethi R Jan 12 '18 at 13:00
  • Have you tried with other IDE? Such as PyScripter or PyCharm? – Symbionte Jan 12 '18 at 13:05
  • Do you have background geoprocessing 64 bit installed? If so, another instance of python 2.x, 64 bit, is installed, so the python console may be getting that one, and the gdal you installed is not for that one. Try another IDE, where you can choose which python interpreter to execute, in case you have more than one. – Symbionte Jan 12 '18 at 13:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.